import { memo } from 'react';
import { Button, Popover } from 'antd';
import { SettingFilled } from '@ant-design/icons';

function IncidentsActions(): JSX.Element {
  const handleEChangeStatus = (): void => console.log('handleEChangeStatus');

  return (
    <Popover content="Change status of selected assets">
      <Button type="link" onClick={handleEChangeStatus}>
        <SettingFilled />
      </Button>
    </Popover>
  );
}

export default memo(IncidentsActions);
